Skip to main content
POST
Cancel run

Authorizations

Authorization
string
header
required

Your Seekr API key, sent in the Authorization header with no 'Bearer' prefix.

Headers

x-team-id
string | null

ID of the team to use for the request. If omitted, the request uses your personal workspace.

Path Parameters

thread_id
string
required

ID of the thread.

run_id
string
required

ID of the run.

Body

application/json

Request model for creating a run.

agent_id
string
required

ID of the agent.

model_settings
ModelSettings · object

Settings to use when calling an LLM.

This class holds optional model configuration parameters (e.g. temperature, top_p, penalties, truncation, etc.).

Not all models/providers support all of these parameters, so please check the API documentation for the specific model and provider you are using.

response_format
ResponseFormat · object | null

Format the model must use for its output.

group
string
default:default_group

Label attached to the run for grouping and filtering observability spans. Defaults to default_group.

Required string length: 1 - 32768
metadata
Metadata · object | null

String key-value pairs attached to the run for observability. These values can be used to filter spans.

Response

Success

{key}
string
Last modified on July 31, 2026